Fields
Date: 2015-09-18

org.mockito.internal.util.reflection

## Class Fields

- java.lang.Object
- - org.mockito.internal.util.reflection.Fields

-     public abstract class Fields
      extends java.lang.Object

  Small fluent reflection tools to work with fields. Code is very new and might need rework.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Fields.InstanceFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Fields.InstanceFields` | `allDeclaredFieldsOf(java.lang.Object instance)` Instance fields declared in the class and superclasses of the given instance.
    `static ListUtil.Filter<InstanceField>` | `annotatedBy(java.lang.Class<? extends java.lang.annotation.Annotation>... annotations)` Accept fields annotated by the given annotations.
    `static Fields.InstanceFields` | `declaredFieldsOf(java.lang.Object instance)` Instance fields declared in the class of the given instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Fields

          public Fields()

  - ### Method Detail

    - #### allDeclaredFieldsOf

          public static Fields.InstanceFields allDeclaredFieldsOf(java.lang.Object instance)

      Instance fields declared in the class and superclasses of the given instance.
      Parameters:
        `instance` - Instance from which declared fields will be retrieved.
      Returns:
        InstanceFields of this object instance.

    - #### declaredFieldsOf

          public static Fields.InstanceFields declaredFieldsOf(java.lang.Object instance)

      Instance fields declared in the class of the given instance.
      Parameters:
        `instance` - Instance from which declared fields will be retrieved.
      Returns:
        InstanceFields of this object instance.

    - #### annotatedBy

          public static ListUtil.Filter<InstanceField> annotatedBy(java.lang.Class<? extends java.lang.annotation.Annotation>... annotations)

      Accept fields annotated by the given annotations.
      Parameters:
        `annotations` - Annotation types to check.
      Returns:
        The filter.